[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# jmp_buf

Record type to store processor information.

## Declaration

Source position: setjumph.inc line 17

`type jmp_buf = packed record`
`ebx: LongInt;` |  | EBX register.
`esi: LongInt;` |  | ESI register
`edi: LongInt;` |  | EDI register
`bp: Pointer;` |  | BP register
`sp: Pointer;` |  | SP register
`pc: Pointer;` |  | PC register
`end;`

## See also

setjmp |  | Save current execution point.
longjmp |  | Jump to address.